LINUX.ORG.RU

glibc 2.14 при установке требует glibc 2.15


0

1

[/home/user/tmp/glib/glibc-2.14/glibc-build]

/bin/sh: /lib/libc.so.6: version `GLIBC_2.15' not found (required by /bin/sh)
/bin/sh: /lib/libc.so.6: version `GLIBC_2.15' not found (required by /usr/lib/libreadline.so.6)
make[1]: [install] Error 1 (ignored)
CC=«gcc» /usr/bin/perl scripts/test-installation.pl /home/user/tmp/glib/glibc-2.14/glibc-build/
/bin/sh: /lib/libc.so.6: version `GLIBC_2.15' not found (required by /bin/sh)
/bin/sh: /lib/libc.so.6: version `GLIBC_2.15' not found (required by /usr/lib/libreadline.so.6)
make[1]: *** [install] Error 1
make[1]: Leaving directory `/home/deex/tmp/glib/glibc-2.14'
make: *** [install] Error 2

как такое может быть? что делать?

что за дистрибутив? Как компилишь? (если собираешь вручную)

ymuv ★★★★ ()
Последнее исправление: ymuv (всего исправлений: 1)

откатывать glibc надо хитро - игрища с путями, пересборками и прочей ересью
выше дали линк

megabaks ★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.